Whats91
Developers

Retrieve one conversation by numeric conversation id.

Get Conversation

Summary

Retrieve one conversation by numeric conversation id.

Prerequisites

  • Authorization: Bearer w91_live_xxx
  • Content-Type: application/json for JSON requests

Endpoint: GET /api/v2/reports/conversations/{conversationId}. conversationId is the existing numeric conversation id. It is checked against the authenticated customer and sender before any data is returned.

GET/api/v2/reports/conversations/{conversationId}
ParameterTypeRequiredDescription
AuthorizationheaderRequiredBearer w91_live_xxxxxxxxxxxxxxxxx.
conversationIdnumberRequiredExisting numeric conversation id.
senderIdstringOptionalWhatsApp sender phone number.
Get conversation
curl "https://graph.whats91.com/api/v2/reports/conversations/194977?senderId=919999999999" \
  -H "Authorization: Bearer w91_live_xxx"
Conversation response
{
  "success": true,
  "message": "Conversation retrieved",
  "data": {
    "conversation": {
      "conversationId": 194977,
      "contactPhone": "919343841961",
      "contactName": "Prashant Tayal",
      "senderPhoneNumber": "919999999999",
      "lastMessageContent": "hi",
      "lastMessageDirection": "inbound",
      "unreadCount": 1,
      "totalMessages": 2,
      "status": "active",
      "labels": [
        { "uid": "lbl_support", "labelName": "Support" }
      ],
      "createdAt": "2026-06-05T06:08:48.000Z",
      "updatedAt": "2026-06-05T06:08:50.000Z"
    }
  }
}
Not found response
{
  "success": false,
  "message": "Conversation not found",
  "error_code": "CONVERSATION_NOT_FOUND",
  "metadata": {
    "apiVersion": "v2",
    "requestId": "request-uuid"
  }
}

SDK Examples

Use these examples as starting points for server-side implementations.

cURL
curl -X GET "https://graph.whats91.com/api/v2/reports/conversations/{conversationId}" \
  -H "Authorization: Bearer w91_live_xxx"
Node.js
const response = await fetch("https://graph.whats91.com/api/v2/reports/conversations/{conversationId}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer w91_live_xxx",
    "Content-Type": "application/json"
  }
});

const data = await response.json();
console.log(data);
PHP
$ch = curl_init("https://graph.whats91.com/api/v2/reports/conversations/{conversationId}");
curl_setopt_array($ch, [
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer w91_live_xxx",
    "Content-Type: application/json"
  ]
]);

$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests

response = requests.request(
    "GET",
    "https://graph.whats91.com/api/v2/reports/conversations/{conversationId}",
    headers={
        "Authorization": "Bearer w91_live_xxx",
        "Content-Type": "application/json",
    }
)

print(response.json())
C#
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer w91_live_xxx");

var request = new HttpRequestMessage(HttpMethod.Get, "https://graph.whats91.com/api/v2/reports/conversations/{conversationId}");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());

Related APIs